Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlcp.wlng.spi.subscriberdata
Interface ProfileProvider

public interface ProfileProvider

Each profile provider is responsible for a group of subscribers identified by their URI Bulk operations allow the provider to optimize for multiple subscriber profile retrievals Date: Jan 15, 2008 Time: 3:28:19 PM

  Copyright © 2008 Oracle Corporation Systems, Inc. All Rights Reserved.

Method Summary
`List` | `contractExpired(List serviceClasses, List currentContracts)` The provider has a chance to update SubscriberContracts that have expired.
`List` | `init(List serviceClasses, List currentContracts)` This method is invoked when the profileProvider has been instantiated It is an initialization method that allows the profileProvider to make initial actions It allows the ProfileProvider to setup the per subscriber thresholds for each ServiceClass This will be called even if the subscriberSLA is not set (i.e.
`List` | `serviceClassesUpdated(List serviceClasses, List currentContracts)` This is called when the Service Level Agreements (SLAs) has been changed and the serviceClasses are thus modified, and gives the profileProvider an opportunity to update the subscriberContracts.

Method Detail

### contractExpired

    public List contractExpired(List serviceClasses,
                                List currentContracts)

  The provider has a chance to update SubscriberContracts that have expired. The provider is free to remove or add current contracts to the returned result

  Parameters:
    `serviceClasses` - - service classes defined in the SLA
    `currentContracts` - - contracts created by this provider that need to be updated
  Returns:
    - the updated contracts

### init

    public List init(List serviceClasses,
                     List currentContracts)

  This method is invoked when the profileProvider has been instantiated It is an initialization method that allows the profileProvider to make initial actions It allows the ProfileProvider to setup the per subscriber thresholds for each ServiceClass This will be called even if the subscriberSLA is not set (i.e. the serviceClass array is empty)

  Parameters:
    `serviceClasses` - - service classes defined in the SLA
  Returns:
    a list of SubscriberContracts. Each SubscriberContract is tied to a URI that identifies the subscriber. It is possible to have multiple SubscriberContracts per URI by having multiple SubscriberContracts with the same subscriberAddress. If 'null' is returned then the subscriberContracts for this provider will be removed.

### serviceClassesUpdated

    public List serviceClassesUpdated(List serviceClasses,
                                      List currentContracts)

  This is called when the Service Level Agreements (SLAs) has been changed and the serviceClasses are thus modified, and gives the profileProvider an opportunity to update the subscriberContracts.

  Parameters:
    `serviceClasses` - the updated serviceClasses
    `currentContracts` - the contracts that are currently set for this provider
  Returns:
    the updated subscribercontracts for this provider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | Oracle Corporation
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD